require 'MiddleClass'
require 'ShaderEffect'
require 'shader.shockwave'
function love.load()
	img = love.graphics.newImage('media/city.png')
	s = ShockwaveEffect()
	s:setParameter{
		center = {1,1},
		shockParams = {10,0.8,0.1},
	}
end

function love.update(dt)
	s:update(dt)
end

function love.draw()
	s:predraw()

	love.graphics.draw(img, 400/2, 300/2)

end

function love.mousepressed(x,y,b)
	s.time = 0
	s:setParameter{
		center = {x/800,y/600}
	}
end